/* $Id: kModuleDetails.h,v 1.1 2000/04/29 19:06:35 stknut Exp $
 *
 * Module Detail Dialog.
 *
 * Copyright (c) 2000 knut st. osmundsen (knut.stange.osmundsen@pmsc.no)
 *
 */
#ifndef _kModuleDetails_h_
#define _kModuleDetails_h_



/**
 * Module Detail Dialog.
 * @author      knut st. osmundsen (knut.stange.osmundsen@pmsc.no)
 */
class kModuleDetails : public kDlgBase, public kDetailBase
{
private:
    /** @cat */
    HWND                hwndOwner;
    kObjectContainer *  pCnrObjects;
    kModuleContainer *  pCnrImpModules;
    USHORT              hMTE;

    /** @cat event overrides */
    VOID  cnrContextMenu(USHORT usId, PRECORDCORE pRecord);
    VOID  cnrEnter(USHORT usId, HWND hwndCnr, PRECORDCORE pRecord, ULONG fKey);
    VOID  destroy(); //WM_DESTROY

    /** @cat helpers */
    VOID resize(PSWP pswpOld, PSWP pswpNew);

public:
    /** @cat Constructor and Destructor */
    kModuleDetails(USHORT hMte, HWND hwndOwner) throw(kError);
    ~kModuleDetails();

    BOOL    update();
};

#endif
